=== debian/changelog ===
ros-kinetic-arduino-daq (1.0.1-0xenial) xenial; urgency=high

  * Initial public release
  * Contributors: Francisco José Mañas Álvarez, FranciscoJManasAlvarez, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco, Jose-Luis Blanco-Claraco

 -- Jose Luis Blanco Claraco <jlblanco@ual.es>  Sun, 15 Jul 2018 22:00:00 -0000
