=== debian/control ===
Source: ros-kinetic-arduino-daq
Section: misc
Priority: extra
Maintainer: Jose Luis Blanco Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-mrpt1, ros-kinetic-roscpp, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-arduino-daq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-generation, ros-kinetic-mrpt1, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: AVR8 firmware, a host standalone C++ library, and a ROS node for UAL eCAR's Arduino-based DAQ system, but it is generic enough for use in many other applications
